<?php

defined('_JEXEC') or die;

$listOrder  = $this->state->get('list.ordering');
$listDirn   = $this->state->get('list.direction');

?>

<h1>	<?php echo JText::_('COM_BREED_TITLE_BREEDS'); ?></h1>

	<form action="<?php echo JRoute::_('index.php?option=com_breed&amp;view=breeds'); ?>" method="post"
      name="adminForm" id="adminForm">
      
      <?php

      echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));

?>
	
		<table class="table table-striped" id="breedList">
		<thead>
		<tr>

		<?php if (isset($this->items[0]->id)): ?>
			<th width="1%" class="nowrap center hidden-phone">
			<?php echo JText::_('ID'); ?>
			</th>
			<?php endif; ?>

			<th class=''>
			<?php echo JHtml::_('grid.sort',  'COM_BREED_BREEDS_BREEDNAME', 'a.breedname', $listDirn, $listOrder); ?>
			</th>
			<th class=''>
			<?php echo JHtml::_('grid.sort',  'COM_BREED_BREEDS_PIC', 'a.pic', $listDirn, $listOrder); ?>
			</th>
			<th class=''>
			<?php echo JHtml::_('grid.sort',  'COM_BREED_BREEDS_BREEDCAT', 'a.breedcat', $listDirn, $listOrder); ?>
			</th>

		</tr>
		</thead>		
		
		<tbody>
		
			<?php foreach ($this->items as $i => $item) : ?>

<tr>

	<?php if (isset($this->items[0]->id)): ?>
					<td class="center hidden-phone">
						<?php echo (int) $item->id; ?>
					</td>   	<?php endif; ?>

<td>	<?php echo $this->escape($item->breedname); ?></td>

	<td><?php
		if (!empty($item->pic)) :
			$picArr = explode(',', $item->pic);
			foreach ($picArr as $fileSingle) :
			if (!is_array($fileSingle)) :
				$uploadPath = '/components/com_breed/breedpic' .DIRECTORY_SEPARATOR . $fileSingle;
				echo '<a href="' . JRoute::_(JUri::root() . $uploadPath, false) . '" target=_blank><img src="' . JRoute::_(JUri::root() . $uploadPath, false) . '" width="100px" title="See the pic"> </a>  ';
				endif;
			endforeach;
			else:
				echo $item->pic;
			endif; ?>	</td>

<td>     	<?php echo $item->breedcat; ?>      </td>

</tr>

	<?php endforeach; ?>
		
		</tbody>		
		
			<tfoot>
		<tr>
			<td colspan="<?php echo isset($this->items[0]) ? count(get_object_vars($this->items[0])) : 10; ?>">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
		</tfoot>
		
		</table> 
		
		<input type="hidden" name="task" value=""/>
	<input type="hidden" name="boxchecked" value="0"/>
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
	<?php echo JHtml::_('form.token'); ?>
</form>	